HostingEmail aliases

Update email alias

PUT/api/domains/{domain_code}/alias_email_accounts/{alias_email_account_code}

Updates the destinations for an email alias and queues synchronization.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

alias_email_account_code*string

Email alias code: AE followed by 8 digits. Example: AE12345678.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

destinations*string[]

Destination email addresses for the alias. Must contain at least one address.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/domains/string/alias_email_accounts/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "destinations": [      "string"    ]  }'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}